%define upstream_name    Dist-Zilla-Plugin-CopyFilesFromRelease
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
Summary:	Copy files from a release (for SCM inclusion, etc.)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build::Tiny)
BuildRequires:	perl(Test::DZil)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Fatal)

BuildArch: noarch

%description
This plugin will automatically copy the files that you specify in dist.ini
from the build directory into the distribution directoory. This is so you
can commit them to version control.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1026189
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 967897
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 850642
- update to 0.006

* Thu Apr 16 2015 shlomif <shlomif> 0.5.0-1.mga6
+ Revision: 820308
- imported package perl-Dist-Zilla-Plugin-CopyFilesFromRelease


* Thu Apr 16 2015 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
